Just installed Firefox 7 for Mac.

I’ve been hand-coding version compatibility for an add-on I’ve been using for years:
CSS Viewer.

It’s simple to do… just a one line change in the install.rdf file, but gets obnoxious over time.

So today, prior to my upgrade, I decided to put in the install.rdf file that this add-on was compatible up to Firefox version 20.*

It didn’t recognize that. So I wonder, now that Firefox has gone the same route as Chrome and is updating version regularly (instead of incrementing releases within the version, 3.1 3.2 etc)… why can’t I go to 20? I put in 9.* for now and expect to have to update it again before the end of the year.

Advertisements